package net.northking.cctp.executePlan.dto.planBatch;

import java.io.Serializable;

/**
 * <p>Title: BatchStrategyCacheDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/08/30
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class BatchStrategyDto implements Serializable {

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 系统ID
     */
    private String projectId;

    /**
     * 计划Id
     */
    private String planId;

    /**
     * 应用设置;1-清除数据，2-卸载安装
     */
    private String appSet;
    /**
     * 录屏设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenRecordSet;

    /**
     * 截图设置;0-不保存，1-全部保存，2-出错保存
     */
    private String screenshotSet;

    /**
     * 优先级;0-低，1-高
     */
    private String priority;

    /**
     * 失败重试次数
     */
    private Integer failRetryCount = 0;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getAppSet() {
        return appSet;
    }

    public void setAppSet(String appSet) {
        this.appSet = appSet;
    }

    public String getScreenRecordSet() {
        return screenRecordSet;
    }

    public void setScreenRecordSet(String screenRecordSet) {
        this.screenRecordSet = screenRecordSet;
    }

    public String getScreenshotSet() {
        return screenshotSet;
    }

    public void setScreenshotSet(String screenshotSet) {
        this.screenshotSet = screenshotSet;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public Integer getFailRetryCount() {
        return failRetryCount;
    }

    public void setFailRetryCount(Integer failRetryCount) {
        this.failRetryCount = failRetryCount;
    }
}
